# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['cme',
 'cme.helpers',
 'cme.loaders',
 'cme.modules',
 'cme.parsers',
 'cme.protocols',
 'cme.protocols.ldap',
 'cme.protocols.mssql',
 'cme.protocols.smb',
 'cme.protocols.ssh',
 'cme.protocols.winrm',
 'cme.servers',
 'cme.thirdparty.pywerview',
 'cme.thirdparty.pywerview.pywerview',
 'cme.thirdparty.pywerview.pywerview.cli',
 'cme.thirdparty.pywerview.pywerview.functions',
 'cme.thirdparty.pywerview.pywerview.objects',
 'cme.thirdparty.pywerview.pywerview.worker']

package_data = \
{'': ['*'],
 'cme': ['data/*',
         'data/RID-Hijacking/*',
         'data/cme_powershell_scripts/*',
         'data/invoke-obfuscation/*',
         'data/invoke-vnc/.git',
         'data/invoke-vnc/.git',
         'data/invoke-vnc/.git',
         'data/invoke-vnc/.git',
         'data/invoke-vnc/.git',
         'data/invoke-vnc/.gitignore',
         'data/invoke-vnc/.gitignore',
         'data/invoke-vnc/.gitignore',
         'data/invoke-vnc/.gitignore',
         'data/invoke-vnc/.gitignore',
         'data/invoke-vnc/Invoke-Vnc.ps1',
         'data/invoke-vnc/Invoke-Vnc.ps1',
         'data/invoke-vnc/Invoke-Vnc.ps1',
         'data/invoke-vnc/Invoke-Vnc.ps1',
         'data/invoke-vnc/Invoke-Vnc.ps1',
         'data/invoke-vnc/LICENSE',
         'data/invoke-vnc/LICENSE',
         'data/invoke-vnc/LICENSE',
         'data/invoke-vnc/LICENSE',
         'data/invoke-vnc/LICENSE',
         'data/invoke-vnc/README.md',
         'data/invoke-vnc/README.md',
         'data/invoke-vnc/README.md',
         'data/invoke-vnc/README.md',
         'data/invoke-vnc/README.md',
         'data/mimikittenz/*',
         'data/mimipenguin/*',
         'data/mimipenguin/.github/*',
         'data/mimipenguin/src/*',
         'data/netripper/.git',
         'data/netripper/.git',
         'data/netripper/.git',
         'data/netripper/.git',
         'data/netripper/.git',
         'data/netripper/.git',
         'data/netripper/.git',
         'data/netripper/Changelog.md',
         'data/netripper/Changelog.md',
         'data/netripper/Changelog.md',
         'data/netripper/Changelog.md',
         'data/netripper/Changelog.md',
         'data/netripper/Changelog.md',
         'data/netripper/Changelog.md',
         'data/netripper/Compilation.md',
         'data/netripper/Compilation.md',
         'data/netripper/Compilation.md',
         'data/netripper/Compilation.md',
         'data/netripper/Compilation.md',
         'data/netripper/Compilation.md',
         'data/netripper/Compilation.md',
         'data/netripper/Compile.sh',
         'data/netripper/Compile.sh',
         'data/netripper/Compile.sh',
         'data/netripper/Compile.sh',
         'data/netripper/Compile.sh',
         'data/netripper/Compile.sh',
         'data/netripper/Compile.sh',
         'data/netripper/LICENSE.TXT',
         'data/netripper/LICENSE.TXT',
         'data/netripper/LICENSE.TXT',
         'data/netripper/LICENSE.TXT',
         'data/netripper/LICENSE.TXT',
         'data/netripper/LICENSE.TXT',
         'data/netripper/LICENSE.TXT',
         'data/netripper/PowerShell/*',
         'data/netripper/README.md',
         'data/netripper/README.md',
         'data/netripper/README.md',
         'data/netripper/README.md',
         'data/netripper/README.md',
         'data/netripper/README.md',
         'data/netripper/README.md',
         'data/netripper/appveyor.yml',
         'data/netripper/appveyor.yml',
         'data/netripper/appveyor.yml',
         'data/netripper/appveyor.yml',
         'data/netripper/appveyor.yml',
         'data/netripper/appveyor.yml',
         'data/netripper/appveyor.yml',
         'data/netripper/x86/*',
         'data/powersploit/*',
         'data/powersploit/AntivirusBypass/*',
         'data/powersploit/CodeExecution/*',
         'data/powersploit/Exfiltration/*',
         'data/powersploit/Mayhem/*',
         'data/powersploit/Persistence/*',
         'data/powersploit/Privesc/*',
         'data/powersploit/Recon/*',
         'data/powersploit/ScriptModification/*',
         'data/randomps-scripts/*',
         'data/randomps-scripts/JScriptShell/*',
         'data/sessiongopher/*']}

install_requires = \
['bs4>=0.0.1,<0.0.2',
 'gevent>=1.2.0',
 'impacket>=0.9.21,<0.10.0',
 'lsassy>=2.1.2,<3.0.0',
 'msgpack>=1.0.0,<2.0.0',
 'neo4j>=4.1.1,<5.0.0',
 'paramiko>=2.7.2,<3.0.0',
 'pylnk3>=0.3.0,<0.4.0',
 'pypsrp>=0.5.0,<0.6.0',
 'requests-ntlm>=0.3.0',
 'requests>=2.9.1',
 'termcolor>=1.1.0,<2.0.0',
 'terminaltables>=3.1.0,<4.0.0',
 'xmltodict>=0.12.0,<0.13.0']

entry_points = \
{'console_scripts': ['cme = cme.crackmapexec:main',
                     'cmedb = cme.cmedb:main',
                     'crackmapexec = cme.crackmapexec:main']}

setup_kwargs = {
    'name': 'crackmapexec',
    'version': '5.1.1',
    'description': 'A swiss army knife for pentesting networks',
    'long_description': '![Supported Python versions](https://img.shields.io/badge/python-3.7+-blue.svg)\n\n# CrackMapExec\n\n<p align="center">\n  <img src="https://cloud.githubusercontent.com/assets/5151193/17577511/d312ceb4-5f3b-11e6-8de5-8822246289fd.jpg" alt="cme"/>\n</p>\n\n# Sponsors\n[<img src="https://www.blackhillsinfosec.com/wp-content/uploads/2016/03/BHIS-logo-L-300x300.png" width="130" height="130"/>](https://www.blackhillsinfosec.com/)\n[<img src="https://handbook.volkis.com.au/assets/img/Volkis_Logo_Brandpack.svg" width="130" hspace="10"/>](https://volkis.com.au)\n[<img src="https://user-images.githubusercontent.com/5151193/85817125-875e0880-b743-11ea-83e9-764cd55a29c5.png" width="200" vspace="21"/>](https://qomplx.com/blog/cyber/)\n[<img src="https://user-images.githubusercontent.com/5151193/86521020-9f0f4e00-be21-11ea-9256-836bc28e9d14.png" width="250" hspace="20"/>](https://ledgerops.com)\n[<img src="https://user-images.githubusercontent.com/5151193/87607538-ede79e00-c6d3-11ea-9fcf-a32d314eb65e.png" width="170" hspace="20"/>](https://www.guidepointsecurity.com/)\n\n# Official Discord Channel\n\nCome hang out on Discord!\n\n[![Porchetta Industries](https://discordapp.com/api/guilds/736724457258745996/widget.png?style=banner3)](https://discord.gg/ycGXUxy)\n\n# Acknowledgments\n**(These are the people who did the hard stuff)**\n\nThis project was originally inspired by:\n- [smbmap](https://github.com/ShawnDEvans/smbmap)\n- [CredCrack](https://github.com/gojhonny/CredCrack)\n- [smbexec](https://github.com/pentestgeek/smbexec)\n\nUnintentional contributors:\n\n- The [Empire](https://github.com/PowerShellEmpire/Empire) project\n- @T-S-A\'s [smbspider](https://github.com/T-S-A/smbspider) script\n- @ConsciousHacker\'s partial Python port of Invoke-obfuscation from the [GreatSCT](https://github.com/GreatSCT/GreatSCT) project\n\nThis repository contains the following repositories as submodules:\n- [Impacket](https://github.com/CoreSecurity/impacket)\n- [Pypsrp](https://github.com/jborean93/pypsrp)\n- [Pywerview](https://github.com/the-useless-one/pywerview)\n- [PowerSploit](https://github.com/PowerShellMafia/PowerSploit)\n- [Invoke-Obfuscation](https://github.com/danielbohannon/Invoke-Obfuscation)\n- [Invoke-Vnc](https://github.com/artkond/Invoke-Vnc)\n- [Mimikittenz](https://github.com/putterpanda/mimikittenz)\n- [NetRipper](https://github.com/NytroRST/NetRipper)\n- [RandomPS-Scripts](https://github.com/xorrior/RandomPS-Scripts)\n- [SessionGopher](https://github.com/fireeye/SessionGopher)\n- [Mimipenguin](https://github.com/huntergregal/mimipenguin)\n- [RID-Hijacking](https://github.com/r4wd3r/RID-Hijacking)\n\n# Documentation, Tutorials, Examples\nSee the project\'s [wiki](https://github.com/byt3bl33d3r/CrackMapExec/wiki) for documentation and usage examples\n\n# Installation\nPlease see the installation wiki page [here](https://github.com/byt3bl33d3r/CrackMapExec/wiki/Installation) or the [GitBook](https://mpgn.gitbook.io/crackmapexec/)\n\n# To do\n- ~~0wn everything~~\n',
    'author': 'Marcello Salvati',
    'author_email': 'byt3bl33d3r@pm.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/byt3bl33d3r/CrackMapExec',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7.0,<4.0.0',
}


setup(**setup_kwargs)
